package com.Kettle.schedule.KingBase.ShipReport;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class ShipReportJob {
    @Value("${Kettle.Kingbase.ShipReport}")
    private String shipReport;
    @XxlJob("ShipReportKingBase")
    public ReturnT<String> dynamicAis(String param) {
        try {
            runTransfer(shipReport);
        } catch (KettleException e) {
            e.getMessage();
            XxlJobLogger.log(shipReport + "异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }
}
